package com.jsowell.pile.service;

import com.jsowell.pile.domain.PileMerchantInfo;
import com.jsowell.pile.vo.base.MerchantInfoVO;

import java.util.List;

/**
 * 充电桩运营商信息Service接口
 *
 * @author jsowell
 * @date 2022-08-27
 */
public interface IPileMerchantInfoService {
	/**
	 * 查询充电桩运营商信息
	 *
	 * @param id 充电桩运营商信息主键
	 * @return 充电桩运营商信息
	 */
	public PileMerchantInfo selectPileMerchantInfoById(Long id);

	/**
	 * 查询充电桩运营商信息列表
	 *
	 * @param pileMerchantInfo 充电桩运营商信息
	 * @return 充电桩运营商信息集合
	 */
	public List<PileMerchantInfo> selectPileMerchantInfoList(PileMerchantInfo pileMerchantInfo);

	/**
	 * 新增充电桩运营商信息
	 *
	 * @param pileMerchantInfo 充电桩运营商信息
	 * @return 结果
	 */
	public int insertPileMerchantInfo(PileMerchantInfo pileMerchantInfo);

	/**
	 * 修改充电桩运营商信息
	 *
	 * @param pileMerchantInfo 充电桩运营商信息
	 * @return 结果
	 */
	public int updatePileMerchantInfo(PileMerchantInfo pileMerchantInfo);

	/**
	 * 批量删除充电桩运营商信息
	 *
	 * @param ids 需要删除的充电桩运营商信息主键集合
	 * @return 结果
	 */
	public int deletePileMerchantInfoByIds(Long[] ids);

	/**
	 * 删除充电桩运营商信息信息
	 *
	 * @param id 充电桩运营商信息主键
	 * @return 结果
	 */
	public int deletePileMerchantInfoById(Long id);

	String getMerchantIdByAppId(String appId);

	MerchantInfoVO getMerchantInfo(String merchantId);

	/**
	 * 根据运营商部门ids 查询所有站点id
	 * @param merchantDeptIds
	 * @return
	 */
	List<String> queryByMerchantDeptIds(List<String> merchantDeptIds);


}
